;File: adc42bsy.a51
;Author: Eckart Hartmann Date:05/10/2003
 ; Development progress: Adc842.df
;
;AdcBsy==========Get ADC status.
;C Function prototype: char AdcRdy(void);
;Description of Function: Gets the status of the ADC.
;User interface: Call AdcRdy().
;		Returns 0 if busy else 1.
;Robustness:
;Side effects: Overwrites a, P, c.
;
NAME ADCBSY
$NOMOD51
 $IC(..kei842.inc) ; Parameter passing registers for Keil .
 $IC(..kei842.dat) ; SFR definition for Keil .
;
public AdcBsy
;
?PR?AdcBsy?ADCBSY	SEGMENT CODE
	RSEG	?PR?AdcBsy?ADCBSY
;
AdcBsy:	mov	a,ADCCON3		;cP1l = ADCCON3.7.
	rlc	a
	clr	a
	rlc	a
	mov	cP1l,a
	ret
;
;Function End==========================================================Function End
END

