;File: tic42cfg.a51
;Author: Eckart Hartmann Date:17/10/2003
;Development progress: Tic834.df
;
;TicCfg==========Configures TIC.
;C Function prototype: char TicCfg(char cHr24);
;Description of Function: Stops counters and chooses 24 hour mode.
;User interface: Set parameter to 0 for 255 hour mode or 1 for 24 hour mode.
;		Call TicCfg function.
;		TicCfg stops TIC and sets/clears 24 hour mode.
;		returns original parameter.
;Robustness:
;Side effects: Stops Interval Counter also.
;		Overwrites a, P.
;
NAME TICCFG
$NOMOD51
 $IC(..kei842.inc) ; Parameter passing registers for Keil .
 $IC(..kei842.dat) ; SFR definition for Keil .
;
public _TicCfg

?PR?_TicCfg?TICCFG	SEGMENT CODE
	RSEG	?PR?_TicCfg?TICCFG
;
_TicCfg:
	anl	TIMECON,#0h	;Stop TIC and clear TFH.
	mov	a,cP1l
	jz	TicCR		;if(cHr24)
	orl	TIMECON,#40h	; TFH = 1;
TicCR:	ret
;
END



